Decide best fallback(s) for Romansh language (rm)
Open, Needs TriagePublic

Description

Romansh is a language that seems to be spoken only in the Swiss canton of Grisons. MessagesRm do no have any fallback set, which means that rm.wikipedia defaults to English, which is not any closer or similar to Romansh.

According to that Wikipedia article the closer languages would be Friulian and Ladin; with Italian being understood by all of the Romansh, Friulian and Ladin speakers.

Translation statistics for Romansh are in pretty bad state, and the same happens with fur and ladin ones.

As such I propose to set $fallback for rm to 'fur' and 'it', or simply set it to 'it'; as it is more likely that Romansh speakers understand Italian than English.

Another approach would be to, given that Romansh is spoken in Grisons, check which are the second and third most spoken languages there and add them as fallbacks so their inhabitants could understand untranslated messages better.

Best regards.

Notifications:

Poll

  • V16
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 1 2017, 3:43 PM
Nemo_bis added a subscriber: Ilario.Jul 1 2017, 3:58 PM
MarcoAurelio updated the task description. (Show Details)Jul 1 2017, 4:49 PM
Ilario added a comment.Jul 1 2017, 5:24 PM

Hi, Romansh is spoken in Grisons but there is the Rumantsch Grischun whihc is an artificial language not spoken but understable by all romansh speakers. They speak instead some regional versions. The most close language is Ladin dialects spoken in South Tyrol and Trentino which have a big variety of local versions. Furlan is included in the family of Rhaeto-Romansh but this inclusion is considered like an enforcement. So Romansh and Ladin can cohabite. Attention! When we speak about Ladin we speak about this language https://en.wikipedia.org/wiki/Ladin_language and not about Ladino (which is frequently associated). The most similar language to the family of Rhaeto-Romansh is Italian, surely. In case to choose a fallback language, I agree that Italian can be the most valid solution. Romansh speakers can understand easily Italian. The problem we have, like Wikimedia CH, is exactly to extend the Romansh projects to include also Ladin dialects (mainly in Wikisource) and the solution to fallback in Italian may help because Ladin speakers are also Italian speakers.

@Ilario Thanks for the detailed reply. I wonder if then we could set Ladin (not Ladino of course) as first option and, if the message don't exist in Ladin, show it in Italian? Will that work for Romansh speakers? Thanks.

Ilario added a comment.Jul 1 2017, 6:12 PM

Yes, it makes sense.

Okay so I propose:

diff --git a/languages/messages/MessagesRm.php b/languages/messages/MessagesRm.php
index d4da53f490..97dc6b8e53 100644
--- a/languages/messages/MessagesRm.php
+++ b/languages/messages/MessagesRm.php
@@ -14,6 +14,7 @@
  * @author Urhixidur
  * @author לערי ריינהארט
  */
+$fallback = 'lld', 'it';
 
 $namespaceNames = [
 	NS_MEDIA            => 'Multimedia',

However I am not sure if adding lld would be of any help. Ladin practically do not have anything which is translated so maybe adding just Italian for now until lld is more developed could be an option.

Terfili added a subscriber: Terfili.Jul 2 2017, 7:36 AM

Thanks to MarcoAurelio for posting about this threat on the rm.wikipedia “Pinta”.

Even though Ladin, Friulian, and Italian are the closest languages to Romansh linguistically, I suggest that the fallback language should be German. Essentially all Romansh-speakers today are perfectly bilingual in German (the exception being some children of pre-school age), and in fact, for many of them German is the main written language. I think the number of Romansh-speakers who can speak and read Italian is much lower (even though they might be able to make out the meaning most of the time due to the linguistic similarity).

Terfili added a comment.EditedJul 2 2017, 7:44 AM

I also just looked up the data of the last Swiss census of 2000:

  • 26254 people reported that they spoke both German and Romansh in daily life
  • 5921 people that they spoke German, Italian, and Romansh
  • and 744 that they spoke Romansh and Italian

So German is definitely much wider used as a second language by Romansh speakers than Italian. In fact, the number of people who use Italian and Romansh without also using German is quite small (and my guess is that many of these people might be Italian Swiss living in Romansh areas).

Ilario added a comment.Jul 2 2017, 9:02 AM

Grisons is trilingual. I know this and I can add that the endangered situation of Romansh is caused exactly by the imposition of the use of German in some contexts. But at this point we can still keep English because it's known not only by Grisons but by the majority of users. We are speaking about similar languages. German is not a neolatin languages. Italian is the closest and can preserve an identity. To have Italian like fallback means using a similar language which is understable by all Romansh speakers for their trinlingualism and to do'nt close the doors to Ladin speakers living in Italy. Let's say that of we consider the whole Rhaeto-romansh the Italian is privileged and the hope is to group here the whole family of Rhaeto-romansh dialects (this is the single Solution i see to give a sense to these Rhaeto-romansh projects).

In addition Italian Wikisource hosts the majority of Rhaeto-romansh texts exactly for this similarity. The italian interface of Wikisource helps. At the apposite the library of Rhaeto-romansh is very small in german Wikisource.

Let's say that probabile a fallback in german will not invite to translate. A fallback in Italian will invite to preserve an identity. This is the season learned when we chosen Italian Wikisource to host Rhaeto-romansh digital library.

I am not interested in identitary politics but in what is most practical. And from a practical standpoint, every single Romansh Wikipedia reader, 100% of them, will be perfectly fluent in German. Less than 100% will understand Italian or English, and even those who do, will not speak it as well as they do German. That is simply the sociolinguistic reality.

That the Italian Wikisource hosts Romansh texts is great, but how many Romansh native speakers are active there? When the users on the Romansh Wikipedia need a template or something, they don't import it from the Italian Wikipedia, they do so from the German Wikipedia. And the main activity of the handful of native Romansh users consists of translating articles from the German Wikipedia into Romansh. I don't recall anyone translating an article from the Italian Wikipedia into Romansh. Romansh speakers are simply more at home in German than in Italian.

However, I don't think that this is something that a few non-Romansh users should argue about on here. What I will do is explain the situation in Romansh on the "Pinta", and directly contact any Romansh users who are even sporadically active. Usually that gets at least a few reactions, and then they can vote on that. What I need to know though is what languages are viable choices. English, Italian, and German have been suggested, as has Ladin, but as MarcoAurelio has pointed out, Ladin translations are just as or even more poorly maintained than the Romansh ones. I think we can also rule out French, which is both further linguistically and no more widely understood by Romansh speakers than Italian. Alemannic (gsw) is spoken alongside Standard German by all Romansh speakers, but is not very familiar to them in its written form. I think the other Gallo-Italic languages such as Lombard or Piedmontese will also be too unfamiliar in their written form. That leaves us again with English, Italian, and German as viable choices.

I've created V16, a straw non-binding poll. Hope that it helps.

MarcoAurelio updated the task description. (Show Details)Jul 2 2017, 12:00 PM
MarcoAurelio updated the task description. (Show Details)

I think having a vote on the Romansh Wikipedia community portal, the "Pinta" https://rm.wikipedia.org/wiki/Wikipedia:La_pinta would be easier for the Romansh editors to participate in. Would that work too?

@Terfili Sure, but I'll keep this poll too just in case.

Ilario added a comment.EditedJul 2 2017, 2:14 PM

There is already a message in La pinta but the romansh community in Wikipedia is pretty dormient cause the use of Rumantsch Grischun that is not used in the normal daily use. As I said we used the Italian Wikisource to store Rhaeto-Rumantsch texts because the Italian communitay is willing to help (https://it.wikisource.org/wiki/Categoria:Testi_in_romancio and https://it.wikisource.org/wiki/Categoria:Testi_in_ladino). As Wikimedia Switzerland we are monitoring a lot the Romansh projects and the most active are in Italian Wikisource which we are trying to help and to increase.

IMHO if we cannot agree with a fallback the best we can do is to keep
things as they are, but it is soon to make such an assumption I think.

In any case I encourage those who speak Rumansh to contribute translating,
at least, the most used MediaWiki messages in translatewiki.net, so they
are avalaible to their speakers. Please contact @Nikerabbit @Nemo_bis or
@siebrand if you need help/assistance with that. I'm sure they'll
appreciate it.

Joining the discussion in the phabricator here might be a bit difficult for some people; people have to create an account, wait to get verified, verify their e-mail...some Romansh users might just give up.

There are actually quite a few regularly active users on rm.wikipedia, they just focus on translating articles and don't really join discussions. I'll write to all of them directly and hopefully there will be some participation.

Ilario added a comment.EditedJul 2 2017, 4:30 PM

Please don't involve a political position, I am using a very practical position. It has been asked here to give a suggestion and I am giving a suggestion avoiding to do the same mistake we did in the past and having (still now) a lack of volunteers in Rhaeto-Romansh projects.

I agree with you and I can say that this was our approach to Romansh project at the early stage. But we failed because we considered to have done a sociolinguistic analysis, the problem is that it has been done out of the context.

It has been asked to me to give the most similar languages. If the ratio is to know which is the most similar language, surely the sequence is Ladin -> Lumbard -> Italian. In Grisons Italian is associated to the Romansh at the school and it is considered interchangeable.

At the opposite if we would use the ratio to look for the second most used language, here I support the point to keep English. The use of the German means, in my humble opinion, only an invitation to don't translate.

Following my experience, here I suggest the choice to work following the similarities because it is giving us good results specifically for the Romansh context.

Very practically.

How many Romansh speakers members we have in Wikimedia Switzerland? Some, but they don't want to contribute to rm.wikipedia.org because they speak a local version of Romansh. rm.wikipedia.org is in Rumantsch Grischun. People translating from German to Rumantsch Grischun are mainly people learning Rumantsch Grischun (There is a course of Rumantsch Grischun in the University of Zurich), but their activity is very small. Native speakers would not use Romansh in some contexts because they consider this language like an "unpolite" communication and, when it is compared with German, the use of the German is considered like the polite communication. Rumantsch Grischun is a try to give a feeling of a better and polite way to communicate, but without success.

Practically speaking we (Wikimedia CH) would have native speakers and not few students. At the moment rm.wikipedia.org is only a gym for students and the effect it produces is more to keep out the real native speakers. Local readers uses the German or the Italian Wikipedias because they are more complete.

At the opposite we are having a good success in other projects like Wikisource because we are extending the concept of Romansh to include the use of dialects and of the local versions of Rhaeto-Romance. This works! Rhaeto-romance means also Ladin languages spoken in the Italian valleys.

In addition we are having some success connecting Romansh with the family of similar languages because in the north of Italy the Lumbard dialect is quite similar and in Canton Ticino and in the Italian valleys of Grisons it's spoken a regional version of Lumbard which is strictly connnected with Rumantsch dialects. For Wikisource it's is working pretty well.

Returning back to your question: "That the Italian Wikisource hosts Romansh texts is great, but how many Romansh native speakers are active there?" I would say that, positioning the Rhaeto_romansh texts in Italian Wikisource, is giving us finally more success than in the past. The users uploading texts are Italian experienced users but we (Wikimedia Switzerland) are receiving material from Rhaeto-Romansh people or associations and we are starting projects to involve local schools because they can find in Italian Wikisource and interesting Rhaeto-Romansh digital library.

This is what I can report by our experience.

I am not interested in identitary politics but in what is most practical. And from a practical standpoint, every single Romansh Wikipedia reader, 100% of them, will be perfectly fluent in German. Less than 100% will understand Italian or English, and even those who do, will not speak it as well as they do German. That is simply the sociolinguistic reality.

That the Italian Wikisource hosts Romansh texts is great, but how many Romansh native speakers are active there? When the users on the Romansh Wikipedia need a template or something, they don't import it from the Italian Wikipedia, they do so from the German Wikipedia. And the main activity of the handful of native Romansh users consists of translating articles from the German Wikipedia into Romansh. I don't recall anyone translating an article from the Italian Wikipedia into Romansh. Romansh speakers are simply more at home in German than in Italian.

Ilario added a comment.Jul 2 2017, 6:24 PM

An example to explain the advantage to work with similarities.

I have taken some real sentences from here: https://translatewiki.net/w/i.php?title=Special:Translate&group=wikimedia-portals&language=rm&filter=%21translated&action=translate

English: pages
Italian: pagine
Rumantsch Grischun: paginas (other local versions of Romansh are similar to Rumantsch Grischun)
German: Seiten

English: Free Library
Italian: Biblioteca libera
Rumantsch Grischun: Biblioteca libra (other local versions of Romansh are similar to Rumantsch Grischun)
German: Freie Bibliothek

As you can see the Italian is very similar, but it can be inspirational also to other native speakers (even if Romansh native speakers). I have used here the word "free" which has a specific meaning and can have a disputable translation, but the use of Italian word is replicated in Rumantsch Grischun (I have checked in rm.wikipedia.org) and also the specific sequence adjective + subject is similar. Having the Italian translation, can really help the translators to define the most critical translation like the "new words".

Pakeha added a subscriber: Pakeha.EditedJul 5 2017, 7:58 PM

There is already a message in La pinta but the romansh community in Wikipedia is pretty dormient cause the use of Rumantsch Grischun that is not used in the normal daily use. As I said we used the Italian Wikisource to store Rhaeto-Rumantsch texts because the Italian communitay is willing to help (https://it.wikisource.org/wiki/Categoria:Testi_in_romancio and https://it.wikisource.org/wiki/Categoria:Testi_in_ladino). As Wikimedia Switzerland we are monitoring a lot the Romansh projects and the most active are in Italian Wikisource which we are trying to help and to increase.

No, it's not true that articles are just in Rumantsch Grischun, so this can't be the reason. Every idiom is represented: https://rm.wikipedia.org/wiki/Categoria:Vichipedia:Artitgels_tenor_idiom. The number of native speakers is just too small, so when active Wikipedians like Gion-Andri and Gion decided to quit editing, there wasn't a lot going on with this project.

I'm also not satisfied by the prospect for these WMCH initiatives: There is absolutely no connection between texts on Italian Wikisource and the Romansh Wikipedia. For example, the Wikisource link on the main page looks like this: https://wikisource.org/wiki/Wikisource:Accueil.

Ilario added a comment.EditedJul 5 2017, 10:38 PM

About Gion and Gion-andri we are speaking about prehistory (last edits 2010 and 2012 respectively) and we know that they probably contributed within a projects supported by the Canton.

At the moment seems that two contributors are native speakers: https://rm.wikipedia.org/wiki/Categoria:Utilisaders_rm-N

Except them there are some users with a middle level of Rumantsch, one is Italian speaker Swiss79~rmwiki and another is german speaker (Terfili, who is contributing to this thread). https://rm.wikipedia.org/wiki/Categoria:Utilisaders_rm-2

In addition the majority of articles in Puter have been produced by https://rm.wikipedia.org/wiki/Utilisader:Swiss79~rmwiki who is living in Como.

After there is a big group of speakers with an elementary knowledge of Rumantsch. There is not a predominance of German speakers. Essentially I see a variety of speakers (Spanish or French too).

So basically I consider Rumatsch Grischun the language of the project because essentially no native speakers contribute to the project in their own language.

I know about the unsatisfaction of the concept to link Rumantsch to the Italian projects, I said that I am the first to regret, but things must be done. So I have experimented to have a mature community doing something like a mentorship to the smaller community.

When I started to work on the Wikisource in Rhaeto-Romansh, my interest was to have a project with a good progression. Rm.wikisource.org doesn't exist and would have been a headache. The general Wikisource is a repository of unindentified projects. I looked for a very actve and expert community to create inside an incubator and to train the new users in Rhaeto-Rumantsch.

The Italian Wikisource is very active and has contributors with strong technical skills who can help because the Rhaeto-Romansh has several similarities with the dialects of the North of Italy. So I had the possivbility to easily adapt the templates and the gadgets. The expert users can help because the Rumantsch and the Ladin are understanble by Italian speakers. I don't have to do a training to introduce them to these languages.

So the project is producing good results: expert users are able to help inexpert users and to have a project that is going on.

Surely I would have had more problems if I have chosen German Wikisource cause the big difference of languages because all Romansh people can understand German (learned at the school) but viceversa not all German users are able to understand Romansh.

Continuing like this, my expectation is to create in future a rm.wikisource.org with the support of the Italian Wikisource community to reuse their gadget and with a more mature Rhaeto-Romansh community.

So I continue to support and suggest the idea to proceed with the similar languages on the basis of the example I gave.

To be clear, a solution or another will not change my life. It'sonly a suggestion.

That many Romansh speakers don’t want to contribute in Rumantsch Grischun (or simply don’t know how to write RG anyway) is true, but like Pakeha pointed out, there is no rule that articles need to be written in RG, and there is a system for allowing even for versions of the same article in different varieties. For a while the main page even had a version in RG and each regional idiom, but then it was redesigned and we couldn’t find people to proofread all the new versions, so now it is back to being only in RG. If people started contributing more in the regional idioms, nobody would change their contributions to RG or delete them. On the contrary, I think everyone would be delighted.

From your posts, I also get the impression that there seems to be some sort of project going on at Wikimedia CH to get more people to contribute to the Romansh Wikipedia . If that is so, I wonder why there has been no attempt at contacting those who are already active, either through the Pinta or directly. At least I have never heard to any such thing, and I have been an admin since 2012.

By the way, when an Italian user posted about the test project of a Romansh Wikisource in 2015, I suggested that a separate namespace should be created within the Romansh Wikipedia for Wikisource texts (this is what has been done on the Alemannic Wikipedia, since it was not viable to maintain separate projects in Alemannic). But since nobody else reacted, that proposal went nowhere. Since there was no further contact by the Italian users, I didn’t know that this project had progressed this far, or else I could at least have placed a link on the Romansh Wikipedia main page.

At any rate, I don’t see what all of this has to do with what fallback language should be used. Why do you think Romansh speakers who already don’t like RG, which is still quite similar to the regional idioms, will like and be willing to decode Italian interface messages?
You picked an example (pagine), where the Italian word is almost identical to Romansh, but you could also have picked examples such as these:

English: Show preview
Romansh: Mussar prevista
Italian: Visualizza anteprima
German: Vorschau zeigen

English: Edit summary
Romansh: Resumaziun
Italian: Oggetto
German: Zusammenfassung

How will a Romansh speaker who doesn’t know Italian understand these messages? Maybe with some luck they will, but more likely they won’t, or they will think that this Romansh Wikipedia is run by people who confused Romansh with Italian. On the other hand, they will all instantly understand the German messages, and at worst they will think that people just haven’t translated everything yet. At least that is what I would expect the reaction of any of my Romansh-speaking friends to be.
Of course I’m sure we all agree that the ideal solution is for Romansh speakers to become more active and just keep up with the translations…

Just an update, after one month of voting (https://rm.wikipedia.org/wiki/Wikipedia:La_pinta#Votaziun), a majority is in favor of German over English or Italian. Sadly, participation was not very high, but most of the users who participated concurred with user Capricorn4049, who commented that "every Romansh also understands German. On the Rumantsch radio and television as well they translate it when for example someone in an interview speaks English or Italian, but not if someone speaks German." (my translation).

The one dissenting vote favored English, stating that this is "normal in the computer world" and that German and Italian respectively "have no place on the Romansh Wikipedia".

It is possible that there might be a few more votes, maybe after the summer holidays in Switzerland end, but probably no more than 2-3 more.

Restricted Application added a project: User-MarcoAurelio. · View Herald TranscriptAug 9 2017, 1:04 PM

Thanks for the heads up :)

Ilario added a comment.Aug 9 2017, 2:03 PM

Just an update, after one month of voting (https://rm.wikipedia.org/wiki/Wikipedia:La_pinta#Votaziun), a majority is in favor of German over English or Italian. Sadly, participation was not very high, but most of the users who participated concurred with user Capricorn4049, who commented that "every Romansh also understands German. On the Rumantsch radio and television as well they translate it when for example someone in an interview speaks English or Italian, but not if someone speaks German." (my translation).

Besides all it's interesting to see 5 votes but one from an IP (but the rules where to have at least 10 edits!), and the remaining two from two old users one doing the last contribution in the 2015 and another in the 2009! They have been "unfrozen" only to give these two votes.

This is the real problem for me to don't dispute so much.

If the problem is to open more the participation, ok and this is why I suggested to proceed per similarities; if the problem is to serve the two or three active users, it makes sense to respect their needs.

Illario, even if these two accounts have been inactive for quite some time (but some people do still follow discussions or their watch lists, even if they never edit), they are both native Romansh speakers who have an insight about the needs of other native speakers. For instance, even if Capricorn4049 has not been active for a while, he is a native Romansh speaker from the Surmiran region who probably knows better than you or me what other Romansh speakers might want or find useful.